Subject: Re: bug#23144: shrinking windows with gtk 3.20

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Apr 2016 12:46:13 +0300

> Date: Fri, 01 Apr 2016 09:48:50 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked], Matthias Clasen <[email-masked]>
> 
> I think we have two possibilites to deal with this issue: Ignore it or
> implement a fix.  If we ignore it, we might run into difficulties later
> when gtk developers eventually decide to apply the change in question or
> we find a case where our code does not DTRT anyway.  As Eli already
> mentioned, after Jan's departure nobody here is in grade to maintain the
> gtk interface reliably.
> 
> If we try to fix it, we could possibly rely on Matthias to give us clues
> on how to proceed and what to do if the fix causes problems.  If the fix
> goes into master, there are chances that any such problems will pass by
> unnoticed for some time since currently most people here seem to use the
> release version.

How about the following course:

 . On master, accept what Matthias suggests and deal with bug reports
   if and when they come.

 . On the release branch, provide some safe workaround, triggered by
   an option users could set if they encounter this problem with a
   future GTK version.  This assumes such a safe workaround is
   possible, of course; I thought along the lines of the user
   specifying the initial size explicitly in some way.

Would that work?